20-11
2009

Debian, ajouter les dêpots Dotdeb pour vos serveurs LAMP

Tags: Debian | DotDEB | LAMP
L'un des plus gros reproches que l'ont fait à Debian est que ses paquets ne sont pas forcément à jour. De temps en temps ce n'est pas vraiment un problème. Mais si vous êtes habitué à vous tenir à jour concernant les nouvelles fonctions de PHP, ou de MySQL au niveau de votre développement, vous souhaitez peut-être pouvoir avoir accès à ces versions. Si vous utilisez actuellement la version Lenny (actuellement la version stable) de Debian, la version d'Apache 2 livrée est la version :

apache2 (2.2.9-10+lenny6 Debian-Security:5.0/stable)
php5 (5.2.6.dfsg.1-1+lenny3 Debian:5.0.3/stable, Debian-Security:5.0/stable)
mysql-server (5.0.51a-24+lenny2 Debian:5.0.3/stable, Debian-Security:5.0/stable)
Si vous utilisez Dotdeb, vous aurez accès à des paquets légèrement plus récents.

apache2 (2.2.9-10+lenny6 Debian-Security:5.0/stable)
mysql-server (5.1.40-0.dotdeb.1 packages.dotdeb.org)
php5 (5.2.11-0.dotdeb.1 packages.dotdeb.org)
Comme vous le voyez, MySQL passe de la version 5.0.51a à la version 5.1.40. De même pour PHP. Pour une fois, Apache 2 est à jour. Pour rajouter les dépots Dotdeb, vous n'avez que 2 lignes à rajouter dans votre fichier sources.list.

cd /etc/apt/
nano sources.list
# On rajoute les deux lignes des dépôts qui nous intéressent (avec un petit commentaire)
## DotDeb
deb http://packages.dotdeb.org stable all
deb-src http://packages.dotdeb.org stable all
Voilà, vous êtes prêt à utiliser les dépôts Dotdeb.

apt-get update
apt-get upgrade
apt-get dist-upgrade
Pensez toutefois à fréquemment lire le Blog Dotdeb, et surtout les commentaires avant de faire des mises à jour sensibles, de temps en temps, il y a des bugs (le correctif est rarement long à sortir) mais ces paquets sont très utilisé. Si comme moi vous utilisez Lighttpd plutôt qu'Apache, vous regretterez de ne pas avoir ce paquet disponible et d'être obligé de tourner sur la 1.4.19 ou alors de la compiler vous même pour avoir une version digne de ce nom.

 

 

Aucun commentaire pour ce billet.

 

Votre commentaire